; normalisation.csd
; normalising a compressed signal
<CsoundSynthesizer>
<CsInstruments>
/* For this programme to work, you need to have a monophonic soundfile in your current directory called "sample.wav". Or you can edit the programme to include the actual name of the soundfile*/
sr = 44100
ksmps = 1
nchnls = 1
instr 1
ain diskin2 "sample.wav", 1
asig dam ain, ampdbfs(p4), p5, p6, p7, p8
kpeak init 0
kpeak peak asig
kenv linen ampdbfs(-3)/kpeak, 0.01, p3, 0.001
out asig*kenv
endin
</CsInstruments>
<CsScore>
i1 0 4 -40 1 1 0.01 0.5
i1 + . . [1/8] . . .
i1 + . . [1/64] . . .
e
</CsScore>
</CsoundSynthesizer>