; shepard.csd
; using additive synthesis to create a Shepard tone
<CsoundSynthesizer>
<CsInstruments>
sr = 44100
ksmps = 1
nchnls = 1
instr 1
iamp = 10000
ifreq = 20
ilen2 = ftlen(2)
ilen3 = ftlen(3)
k2 line 0, p3, ilen2; amplitude envelope index
k3 line 0, p3, ilen3; frequency envelope index
kamp1 tablei k2, 2, 0, 0, 1
kfreq1 tablei k3, 3, 0, 0, 1
a1 poscil kamp1*iamp, kfreq1*ifreq, 1
kamp2 tablei k2, 2, 0, ilen2*0.1, 1
kfreq2 tablei k3, 3, 0, ilen3*0.1, 1
a2 poscil kamp2*iamp, kfreq2*ifreq, 1
kamp3 tablei k2, 2, 0, ilen2*0.2, 1
kfreq3 tablei k3, 3, 0, ilen3*0.2, 1
a3 poscil kamp3*iamp, kfreq3*ifreq, 1
kamp4 tablei k2, 2, 0, ilen2*0.3, 1
kfreq4 tablei k3, 3, 0, ilen3*0.3, 1
a4 poscil kamp4*iamp, kfreq4*ifreq, 1
kamp5 tablei k2, 2, 0, ilen2*0.4, 1
kfreq5 tablei k3, 3, 0, ilen3*0.4, 1
a5 poscil kamp5*iamp, kfreq5*ifreq, 1
kamp6 tablei k2, 2, 0, ilen2*0.5, 1
kfreq6 tablei k3, 3, 0, ilen3*0.5, 1
a6 poscil kamp6*iamp, kfreq6*ifreq, 1
kamp7 tablei k2, 2, 0, ilen2*0.6, 1
kfreq7 tablei k3, 3, 0, ilen3*0.6, 1
a7 poscil kamp7*iamp, kfreq7*ifreq, 1
kamp8 tablei k2, 2, 0, ilen2*0.7, 1
kfreq8 tablei k3, 3, 0, ilen3*0.7, 1
a8 poscil kamp8*iamp, kfreq8*ifreq, 1
kamp9 tablei k2, 2, 0, ilen2*0.8, 1
kfreq9 tablei k3, 3, 0, ilen3*0.8, 1
a9 poscil kamp9*iamp, kfreq9*ifreq, 1
kamp10 tablei k2, 2, 0, ilen2*0.9, 1
kfreq10 tablei k3, 3, 0, ilen3*0.9, 1
a10 poscil kamp10*iamp, kfreq10*ifreq, 1
out a1+a2+a3+a4+a5+a6+a7+a8+a9+a10
endin
</CsInstruments>
<CsScore>
f1 0 65536 10 1
f2 0 65536 20 6 1
f3 0 65537 -5 1 65536 1024
i1 0 60
e
</CsScore>
</CsoundSynthesizer>