; AMsynth.csd
; An Amplitude Modulation synthesiser with bells and whistles
<CsoundSynthesizer>
<CsInstruments>
sr = 44100
ksmps = 1
nchnls = 1
instr 1
p7 = (p7>1? 1 : p7)
if (p8 != 1) then
ifn=2
else
ifn=1
endif
ami line 0, p3, p7
aenv linen p4, p3/100, p3, p3/100
anomod oscil3 (1-ami)*aenv, cpspch(p5), 1
amod oscil3 ami*aenv, cpspch(p5)*p6, ifn
acar oscil3 amod, cpspch(p5), 1
out anomod+acar
endin
</CsInstruments>
<CsScore>
f1 0 65536 10 1
f2 0 65536 19 1 0.5 270 0.5
i1 0 4 10000 9.05 0.4 1
i1 0.1 3.9 10000 9.09 0.4 1
i1 0.2 3.8 10000 10.00 0.4 1
i1 4 4 10000 9.00 0.4 1 1
i1 4 4 10000 9.04 0.4 1 1
i1 4 4 10000 9.07 0.4 1 1
e
</CsScore>
</CsoundSynthesizer>