; bell.csd
; using additive synthesis to create a bell sound
<CsoundSynthesizer>
<CsInstruments>
sr = 44100
ksmps = 1
nchnls = 1
instr 1
ktimer phasor 1/p3
iamp1 = 1
ifreq1 = 0.58
ifreqadd1 = 0
idur1 = 1
if ktimer <= idur1 then
k1 poscil p4*iamp1, 1/(p3*idur1), 2
a1 poscil k1, cpspch(p5)*ifreq1+ifreqadd1, 1
endif
iamp2 = 0.67
ifreq2 = 0.58
ifreqadd2 = 1
idur2 = 0.9
if ktimer <= idur2 then
k2 poscil p4*iamp2, 1/(p3*idur2), 2
a2 poscil k2, cpspch(p5)*ifreq2+ifreqadd2, 1
endif
iamp3 = 1
ifreq3 = 0.91
ifreqadd3 = 0
idur3 = 0.65
if ktimer <= idur3 then
k3 poscil p4*iamp3, 1/(p3*idur3), 2
a3 poscil k3, cpspch(p5)*ifreq3+ifreqadd3, 1
endif
iamp4 = 1.8
ifreq4 = 0.91
ifreqadd4 = 1.7
idur4 = 0.55
if ktimer <= idur4 then
k4 poscil p4*iamp4, 1/(p3*idur4), 2
a4 poscil k4, cpspch(p5)*ifreq4+ifreqadd4, 1
endif
iamp5 = 1.67
ifreq5 = 1.6
ifreqadd5 = 0
idur5 = 0.35
if ktimer <= idur5 then
k5 poscil p4*iamp5, 1/(p3*idur5), 2
a5 poscil k5, cpspch(p5)*ifreq5+ifreqadd5, 1
endif
iamp6 = 2.67
ifreq6 = 1.2
ifreqadd6 = 0
idur6 = 0.325
if ktimer <= idur6 then
k6 poscil p4*iamp6, 1/(p3*idur6), 2
a6 poscil k6, cpspch(p5)*ifreq6+ifreqadd6, 1
endif
iamp7 = 1.46
ifreq7 = 2
ifreqadd7 = 0
idur7 = 0.25
if ktimer <= idur7 then
k7 poscil p4*iamp7, 1/(p3*idur7), 2
a7 poscil k7, cpspch(p5)*ifreq7+ifreqadd7, 1
endif
iamp8 = 1.33
ifreq8 = 2.7
ifreqadd8 = 0
idur8 = 0.2
if ktimer <= idur8 then
k8 poscil p4*iamp8, 1/(p3*idur8), 2
a8 poscil k8, cpspch(p5)*ifreq8+ifreqadd8, 1
endif
iamp9 = 1.33
ifreq9 = 3
ifreqadd9 = 0
idur9 = 0.15
if ktimer <= idur9 then
k9 poscil p4*iamp9, 1/(p3*idur9), 2
a9 poscil k9, cpspch(p5)*ifreq9+ifreqadd9, 1
endif
iamp10 = 1
ifreq10 = 3.75
ifreqadd10 = 0
idur10 = 0.1
if ktimer <= idur10 then
k10 poscil p4*iamp10, 1/(p3*idur10), 2
a10 poscil k10, cpspch(p5)*ifreq10+ifreqadd10, 1
endif
iamp11 = 1.33
ifreq11 = 4.09
ifreqadd11 = 0
idur11 = 0.075
if ktimer <= idur11 then
k11 poscil p4*iamp11, 1/(p3*idur11), 2
a11 poscil k11, cpspch(p5)*ifreq11+ifreqadd11, 1
endif
out a1+a2+a3+a4+a5+a6+a7+a8+a9+a10+a11
endin
</CsInstruments>
<CsScore>
f1 0 65536 10 1
f2 0 65537 5 128 65536 1
i1 0 10 1500 8.09
e
</CsScore>
</CsoundSynthesizer>