; samplesynth.csd
; a sampling synthesiser using the table and phasor opcodes
/* For this programme to work, you will need a monophonic soundfile in your current directory called "sample.wav". Or you can edit the programme to include the actual name of your soundfile*/
<CsoundSynthesizer>
<CsInstruments>
sr = 44100
ksmps = 1
nchnls = 1
instr 1
ilen = ftlen(1)/ftsr(1)
istart = (p5%ilen)/ilen
set:
timout 0, p4, loop
reinit set
loop:
kptr phasor 1/ilen
if (p6 != 0) then
kptr = (p4/ilen)-kptr
endif
kout table3 kptr*p7, 1, 1, istart, 1
kenv linen 1, 0.05, p4, 0.05
aout = kout*kenv
out aout
rireturn
endin
</CsInstruments>
<CsScore>
f1 0 524289 -1 "sample.wav" 0 0 0
i1 0 8 2 0 0 1
i1 + . . 0 1 1
i1 + . . 1 0 1.25
i1 + . . 1 1 1.25
i1 + . . 2 0 0.67
i1 + . . 2 1 0.67
e
</CsScore>
</CsoundSynthesizer>